Skip to main content
GET
/
accounts
/
{id}
Get an account by ID
curl --request GET \
  --url https://api.rnbi.magent.finance/accounts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Reap-Version: <reap-version>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "ACTIVE",
  "ownerType": "USER",
  "ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "chainAddresses": [
    {
      "chainId": "ETHEREUM_MAINNET",
      "address": "<string>"
    }
  ],
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key as Bearer token

Headers

Reap-Version
enum<string>
required

API version (YYYY-MM-DD)

Available options:
2025-02-14

Path Parameters

id
string<uuid>
required

Account ID

Response

Account resource

id
string<uuid>
required

Unique account identifier

status
enum<string>
required

Current account status

Available options:
ACTIVE,
RESTRICTED
ownerType
enum<string>
required

Type of entity that owns this account

Available options:
USER,
COMPANY
ownerId
string<uuid>
required

Owner entity ID (user or company)

chainAddresses
object[]
required

Deposit addresses by chain

createdAt
string
required

ISO 8601 timestamp of creation

Example:

"2024-01-15T10:30:00Z"

updatedAt
string
required

ISO 8601 timestamp of last update

Example:

"2024-01-15T10:35:00Z"